Subject: Re: The future of gitweb - part 2: JavaScript

From: Jakub Narebski <[email-masked]>
Date: Mon, 18 Apr 2011 15:34:30 +0200

On Sun, 17 Apr 2011, Petr Baudis wrote:
> On Thu, Apr 14, 2011 at 11:54:53AM +0200, Jakub Narebski wrote:

> > Unfortunately the decision to use JavaScript framework brings its own
> > new problems.
> > 
> > First issue is which JavaScript framework or library to use:
> > * jQuery (lightweight, most popular, used e.g. by MediaWiki)
> > * MooTools (lightweight, 2nd most popular, opbject-oriented)
> > * YUI, The Yahoo! User Interface Library 
> > * other: Prototype, Dojo, ExtJS, SproutCore,...
> 
>   Girocco uses MooTools, and I also used it in an old private branch
> of gitweb. I have had pretty good experience with it. But since I wasn't
> able to find anyone to maintain Girocco's gitweb (or even keep it in
> sync with upstream) and the patch flow to core git has dried up, it's
> probably not too relevant argument. :-)

Thanks.  The information about MooTools is certain helpful.

Do you remember why did you choose MooTools from other existing JavaScript
frameworks, including more popular jQuery?

> > So what are your ideas and comments on the issue of JavaScript code
> > and JavaScript libraries / frameworks in gitweb?
> 
>   It seems most common sense to use CDN by default but allow providing
> pre-downloaded file with the library at build time as an alternative.

This seems to be a consensus.  Now what's left is to worry about plugins,
extensions etc. which would be helpful for gitweb JavaScript use, but
are not in core provided by CDN.

-- 
Jakub Narebski
Poland